#ifndef _GOAL_H
#define _GOAL_H

#include <mentalEntity.h>
#include <user/cologex.h>

namespace smo {

class Goal
: public MentalEntity
{
public:
    Goal() = default;
    ~Goal() = default;

public:
};

class AutoGoal
:	public Goal
{
public:
	AutoGoal() = default;
	~AutoGoal() = default;
};

} // namespace smo

#endif // _GOAL_H
